MantisBT

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000244WebSolarLogServicespublic2014-03-26 20:012014-03-29 09:00
Reportergmkey 
Assigned Tomfrijmann 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformraspberry piOSraspbianOS Version
Product VersionRelease 1.0.0 
Target VersionRelease 1.1.0Fixed in VersionRelease 1.1.0 
Summary0000244: Incorrect error message when posting to twitter.
DescriptionWhen I configure my system to tweet my daily output, I receive the following message:
========
WebSolarLog experienced an error.

Update user status failed! Twitter returned an error. 403 Forbidden: The request is understood, but it has been refused.
Please check if everything is alright.
========

I can't find anything in the logfiles - is it logged?
Steps To ReproduceWSL setup with 2 smart-meters and a P1 meter.
connect to your twitter account and wait.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000415)
gmkey (reporter)
2014-03-26 20:27

Further investigation has led me to believe that WSL most probably tries to report data on twitter for each inverter, rather than a summary for the system.

- the twitter api assumes a duplicate post and refuses to accept the post
- it also explains why only the reports of my first inverter.
(0000416)
mfrijmann (administrator)
2014-03-26 20:27

WSL setup with 2 smart-meters and a P1 meter ?
or
WSL setup with 2 inverters and a P1 meter?

Is there a tweet of WSL on your twitter account?

This error message indicates that WSL is sending the same tweet multiple times and Twitter wont accept that.
(0000421)
wimlem (reporter)
2014-03-27 09:50

For me the same with 2 inverters. Twitter works for one inverter, the other one gave an error.
(0000422)
wimlem (reporter)
2014-03-28 19:47

Works great for me! Thanx!

- Issue History
Date Modified Username Field Change
2014-03-26 20:01 gmkey New Issue
2014-03-26 20:27 gmkey Note Added: 0000415
2014-03-26 20:27 mfrijmann Note Added: 0000416
2014-03-27 08:46 mfrijmann Product Version => Release 1.0.0
2014-03-27 08:46 mfrijmann Target Version => Release 1.1.0
2014-03-27 09:50 wimlem Note Added: 0000421
2014-03-27 10:15 Changeset attached => SourceForge trunk r1821
2014-03-27 19:45 Changeset attached => SourceForge trunk r1822
2014-03-28 09:15 Changeset attached => SourceForge trunk r1824
2014-03-28 09:30 Changeset attached => SourceForge trunk r1825
2014-03-28 09:45 Changeset attached => SourceForge trunk r1827
2014-03-28 19:47 wimlem Note Added: 0000422
2014-03-29 09:00 mfrijmann Time allocated Deleted 2014-03-29: 0,50 h. => deleted
2014-03-29 09:00 mfrijmann Status new => resolved
2014-03-29 09:00 mfrijmann Fixed in Version => Release 1.1.0
2014-03-29 09:00 mfrijmann Resolution open => fixed
2014-03-29 09:00 mfrijmann Assigned To => mfrijmann


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker